Download it now!
Bug 132514 - FILEOPEN DOCX Table character direct formatting not applied with another table in footer
Summary: FILEOPEN DOCX Table character direct formatting not applied with another tabl...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:7.0.0 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2020-04-29 10:50 UTC by NISZ LibreOffice Team
Modified: 2020-07-06 14:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word with another table in footer (16.39 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-04-29 10:50 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (117.48 KB, image/png)
2020-04-29 10:51 UTC, NISZ LibreOffice Team
Details
Same example file from Word without another table in footer (18.13 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-04-29 10:51 UTC, NISZ LibreOffice Team
Details
Screenshot of the modified document side by side in Word and Writer (124.91 KB, image/png)
2020-04-29 10:51 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-04-29 10:50:49 UTC
Created attachment 160065 [details]
Example file from Word with another table in footer

Attached user-made document contains a table with direct character formatting setting the Normal styles Spacing after from 8pt to 0 and Line Spacing from 1.08 to 0.
These settings are not applied when the file is opened in Writer.
However if the other table in the footer is removed in Word, they are.


Steps to reproduce:
    1. Open attached document

Actual results:
There is a lot of extra spacing between the xxx rows of the first table.

Expected results:
No spacing between the rows.

LibreOffice details:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: a40455528c4ec2c079444f320a02d1946e1d8ac9
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL

Also in:
Verzió: 6.4.0.3 (x86)
Build az.: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: GL; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL

Was good in:
Verzió: 6.3.0.4 (x86)
Build az.: 057fc023c990d676a43019934386b85b21a9ee99
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL

Bibisected using bibisect-win64-6.4 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=6c5da2cd7af5c2d90e4d8e9635ba8c9989c87923
author	László Németh <nemeth@numbertext.org>	2019-11-15 15:44:55 +0100
committer	László Németh <nemeth@numbertext.org>	2019-11-21 17:34:57 +0100
tdf#119054 DOCX: fix not table style based bottom margin
Comment 1 NISZ LibreOffice Team 2020-04-29 10:51:11 UTC
Created attachment 160066 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 NISZ LibreOffice Team 2020-04-29 10:51:28 UTC
Created attachment 160067 [details]
Same example file from Word without another table in footer
Comment 3 NISZ LibreOffice Team 2020-04-29 10:51:44 UTC
Created attachment 160068 [details]
Screenshot of the modified document side by side in Word and Writer
Comment 4 László Németh 2020-05-04 15:55:48 UTC
tdf#132514 DOCX import: fix lost table style with footer

Table paragraphs collected for table style processing
were mixed when both body text and footer contain tables,
i.e. clearing paragraph vector at processing the first table
resulted missing paragraph vector and table style processing
for the other one.

Now tables in footer, also nested tables collect their
paragraphs in separated table paragraph vectors.

Regression from commit 6c5da2cd7af5c2d90e4d8e9635ba8c9989c87923
(tdf#119054 DOCX: fix not table style based bottom margin).
Comment 5 Commit Notification 2020-05-04 15:56:28 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/81ce88aa80f8e7cde4fdc5b211e9500a3599643c

tdf#132514 DOCX import: fix lost table style with footer

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-05-05 15:03:57 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 017f90788c330d2e35a9c05a5...
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!
Comment 7 Xisco Faulí 2020-05-05 15:08:26 UTC
@László Németh, would it make sense to backport it to 6-4 branch?
I've tried it but there were so many conflicts...
Comment 8 László Németh 2020-05-05 16:05:31 UTC
(In reply to Xisco Faulí from comment #7)
> @László Németh, would it make sense to backport it to 6-4 branch?
> I've tried it but there were so many conflicts...

Xisco: I believe, it's worth, according to the regression. I am going to make it the back port.
Comment 9 László Németh 2020-05-12 12:39:33 UTC
(In reply to László Németh from comment #8)
> (In reply to Xisco Faulí from comment #7)
> > @László Németh, would it make sense to backport it to 6-4 branch?
> > I've tried it but there were so many conflicts...
> 
> Xisco: I believe, it's worth, according to the regression. I am going to
> make it the back port.

@Xisco: Here it is: https://gerrit.libreoffice.org/c/core/+/93525
Comment 10 Commit Notification 2020-05-15 10:11:52 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/6b812999c944e50ac7a9ac8245800f4cf99421ce

tdf#132514 DOCX import: fix lost table style with footer

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.